> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rapport de crédit individuel Premium

> Récupérez le rapport de crédit consolidé d'un individu auprès des bureaux Credit Registry et First Central.

L'endpoint Rapport de crédit individuel Premium agrège les données de crédit des bureaux Credit Registry et First Central, fournissant une vue unifiée de la solvabilité d'un individu, notamment l'historique de prêt, les créanciers, la performance et les demandes.

## Endpoint

```
POST /api/onboarding/individual/premium/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |
| `Content-Type`   | `application/json`    | Oui    |

### Paramètres de corps

| Paramètre | Type   | Requis | Description                                                     |
| --------- | ------ | ------ | --------------------------------------------------------------- |
| `bvn`     | string | Oui    | Le numéro d'identification bancaire à 11 chiffres de l'individu |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/individual/premium/" \
    -H "x-access-token: YOUR_SECRET_KEY" \
    -H "Content-Type: application/json" \
    -d '{"bvn": "22244545518"}'
  ```
</CodeGroup>

## Réponse

### 200 OK

| Champ                               | Type   | Description                       |
| ----------------------------------- | ------ | --------------------------------- |
| `data.name`                         | string | Nom complet                       |
| `data.score.totalNoOfLoans`         | number | Prêts totaux au dossier           |
| `data.score.totalBorrowed`          | number | Montant total emprunté            |
| `data.score.creditors`              | array  | Liste des créanciers              |
| `data.score.creditEnquiries`        | array  | Liste des demandes de crédit      |
| `data.score.creditEnquiriesSummary` | object | Nombre de demandes par période    |
| `data.score.loanPerformance`        | array  | Détails de performance par compte |
| `data.score.loanHistory`            | array  | Historique de prêt détaillé       |

```json theme={null}
{
  "status": "success",
  "data": {
    "_id": "64f600608aaf9386c646de32",
    "bvn": "22244545518",
    "name": "ADELEKE EMMANUEL AYORINDE",
    "gender": "Male",
    "dateOfBirth": "29/12/1994",
    "score": {
      "totalNoOfLoans": 16,
      "totalNoOfDelinquentFacilities": 0,
      "totalBorrowed": 3761267,
      "totalOutstanding": 0,
      "creditors": [
        {"Subscriber_ID": "737248693595559931", "Name": "NewEdge Finance Limited"}
      ],
      "creditEnquiriesSummary": {
        "Last3MonthCount": "3",
        "Last12MonthCount": "4",
        "Last36MonthCount": "6"
      }
    },
    "searchedDate": "2023-11-23T14:59:16.554Z"
  },
  "message": "Premium check successful"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Missing required fields"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```


## OpenAPI

````yaml POST /api/onboarding/individual/premium/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/onboarding/individual/premium/:
    post:
      tags:
        - Individual Credit
      summary: Premium Credit Report
      operationId: individualPremium
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - bvn
              properties:
                bvn:
                  type: string
                  example: '22244545518'
      responses:
        '200':
          description: Premium credit report retrieved
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````